## org.apache.catalina.core
Class StandardEngineMapper

    java.lang.Object
      org.apache.catalina.core.StandardEngineMapper

All Implemented Interfaces:
  Mapper

public class StandardEngineMapper
extends java.lang.Object
implements Mapper

Implementation of `Mapper` for an `Engine`, designed to process HTTP requests. This mapper selects an appropriate `Host` based on the server name included in the request.

IMPLEMENTATION NOTE: This Mapper only works with a `StandardEngine`, because it relies on internal APIs.

Version:
  $Revision: 1.6 $ $Date: 2004/08/26 21:32:20 $
Author:
  Craig R. McClanahan

Constructor Summary
`StandardEngineMapper()`

Method Summary
`Container` `getContainer()` Return the Container with which this Mapper is associated.
`java.lang.String` `getProtocol()` Return the protocol for which this Mapper is responsible.
`Container` `map(Request request, boolean update)` Return the child Container that should be used to process this Request, based upon its characteristics.
`void` `setContainer(Container container)` Set the Container with which this Mapper is associated.
`void` `setProtocol(java.lang.String protocol)` Set the protocol for which this Mapper is responsible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardEngineMapper

    public StandardEngineMapper()

Method Detail

### getContainer

    public Container getContainer()

  Return the Container with which this Mapper is associated.

  Specified by:
    `getContainer` in interface `Mapper`

### setContainer

    public void setContainer(Container container)

  Set the Container with which this Mapper is associated.

  Specified by:
    `setContainer` in interface `Mapper`
  Parameters:
    `container` - The newly associated Container
  Throws:
    `java.lang.IllegalArgumentException` - if this Container is not acceptable to this Mapper

### getProtocol

    public java.lang.String getProtocol()

  Return the protocol for which this Mapper is responsible.

  Specified by:
    `getProtocol` in interface `Mapper`

### setProtocol

    public void setProtocol(java.lang.String protocol)

  Set the protocol for which this Mapper is responsible.

  Specified by:
    `setProtocol` in interface `Mapper`
  Parameters:
    `protocol` - The newly associated protocol

### map

    public Container map(Request request,
                         boolean update)

  Return the child Container that should be used to process this Request, based upon its characteristics. If no such child Container can be identified, return `null` instead.

  Specified by:
    `map` in interface `Mapper`
  Parameters:
    `request` - Request being processed
    `update` - Update the Request to reflect the mapping selection?

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.